/*
**
**                           Main.c
**
**
**********************************************************************/
/*
   Last committed:     $Revision: 00 $
   Last changed by:    $Author: $
   Last changed date:  $Date:  $
   ID:                 $Id:  $

**********************************************************************/
#include "stm32f10x_conf.h"

void DWT_Init(void)
{   //   TRACE
    CoreDebug->DEMCR |= CoreDebug_DEMCR_TRCENA_Msk;
    //    CYCCNT  DWT.
    DWT->CTRL |= DWT_CTRL_CYCCNTENA_Msk;
}

//    .
void DWT_DelayCycles(uint32_t Cycles)
{
    uint32_t Counter = DWT->CYCCNT;
    while((DWT->CYCCNT - Counter) < Cycles);
}

int main(void)
{
    //    GPIOC
    RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOC, ENABLE);

    //   PC13 .
    GPIO_InitTypeDef Init;
    Init.GPIO_Pin = GPIO_Pin_13;       //  13.
    Init.GPIO_Mode = GPIO_Mode_Out_PP;
    Init.GPIO_Speed = GPIO_Speed_50MHz; //   .

    GPIO_Init(GPIOC, &Init); //  GPIOC (PC13)

    DWT_Init();
    while(1)
    {
        GPIO_SetBits(GPIOC, GPIO_Pin_13); //  1  PC13.
        DWT_DelayCycles(72000000); //  72   .
        GPIO_ResetBits(GPIOC, GPIO_Pin_13); //  0  PC13.
        DWT_DelayCycles(72000000); //  72   .
    }
}
